View Issue Details

IDProjectCategoryView StatusLast Update
00251552.x IDE BugsCompilingPublic2019-01-04 16:26
ReporterDanAssigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform OS OS Version
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0025155: Compiler: Incorrect information in Compile Errors when duplicate cases are present in a switch
DescriptionIf a switch statement contains duplicate cases for the same value, the compile errors will show incorrect information.

If the following code is present:

switch(switchValues)
{
case 1: break;
case 2: break;
case 1: break;
case 0: break;
case 1: break;
case 1: break;
}

The errors that will be shown will be:

...at line 7: duplicate case statement found
...at line 8: original here
...at line 3: duplicate case statement found
...at line 5: original here

The first case where the value is used (line 3) should be shown as the original with all other uses (lines 5, 7 & 8) being shown as duplicate cases
Additional InformationOriginal helpdesk ticket: http://help.yoyogames.com/tickets/116001
TagsNo tags attached.
2.x IDE Found In
2.x Runtime Found In
2.x IDE Verified In9.2.1.1467
2.x Runtime Verified In9.9.1.1076

Activities

Dan

2017-01-10 15:58

Adminstrator  

Russell Kay

2018-05-22 22:19

Manager   ~0059981

Fixed in gitlab